> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user's brokerage firm info

> Returns the brokerage information of the authenticated user, including profile and brokerage firm context, if available. This endpoint is deprecated and may be removed in a future version. Requires a valid session (401 if unauthenticated).



## OpenAPI

````yaml /openapi.json get /brokerage-firms/@me
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/@me:
    get:
      tags:
        - brokerage-firms
      summary: Get current user's brokerage firm info
      description: >-
        Returns the brokerage information of the authenticated user, including
        profile and brokerage firm context, if available. This endpoint is
        deprecated and may be removed in a future version. Requires a valid
        session (401 if unauthenticated).
      operationId: BrokerController_atMe
      parameters: []
      responses:
        '200':
          description: >-
            Brokerage context for the current user or empty when the user has no
            brokerage firm.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerAtMeOutput'
      deprecated: true
components:
  schemas:
    BrokerAtMeOutput:
      type: object
      properties:
        userId:
          type: string
          description: User id
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        email:
          type: string
          description: Email
        brokerageFirmId:
          type: string
          description: User brokerage firm id
        productIds:
          description: Product ids
          type: array
          items:
            type: string
        brokerRole:
          type: string
          description: Broker role
      required:
        - userId
        - firstName
        - lastName
        - brokerageFirmId
        - productIds

````